Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [php5]

PHP is a general-purpose scripting language that is especially suited for Web development. The online manual is an excellent resource for the language syntax and has an extensive list of the built-in and extension functions. Most extensions can be found in PECL.

169
votes
16answers
537k views

How do you restart php-fpm?

I need to reload my php.ini and there's nothing in the help dialog about restarting it.
30
votes
5answers
67k views

PHP exit status 255: what does it mean?

I recently compiled a PHP 5.2.9 binary, and I tried to execute some PHP scripts with it. I can execute some scripts without problems, but one of them halts its execution midway, exiting with no errors ...
20
votes
4answers
46k views

nginx + PHP-FPM = “permission denied” error 13 in nginx log; configuration mistake?

I've got nginx 0.7x + PHP-FPM running under PHP 5.2.10 on one RHEL5 server, but trying to duplicate that setup under the bundled-in PHP-FPM in PHP 5.3.3 on a second server, I'm having some trouble ...
20
votes
2answers
26k views

Installing imagick PHP extension on Ubuntu

I'm trying to install the imagick pecl extension on my Ubuntu server and am getting the below error. I've installed the ImageMagick rpm using aptitude already and the pecl extension is version 2.3.0. ...
15
votes
3answers
70k views

nginx / php-fpm error logging

I'm trying to figure out where the PHP errors are going in my setup. I'm running nginx as the reverse proxy to PHP-FPM, but I'm not seeing the various E_NOTICE or E_WARNING messages my app is ...
14
votes
1answer
16k views

How is memcache distributed?

I've got memcache running on 5 web servers all of which are on the host list in php and which are load balanced on the front end. So since memcached is supposed to be distributed the php client will ...
12
votes
4answers
44k views

Exclude a specific repo from YUM Update

I am doing a system wide yum update on RHEL 5.5 and the IUS EPEL repository is throwing a missing dependency error: php53-mcrypt-5.3.3-4.ius.el5.x86_64 from installed has depsolving problems --> ...
11
votes
3answers
9k views

apache2 and php5: module or filter

What the difference between the php5 module (libapache2-mod-php5) and the php5 filter module (libapache2-mod-php5filter) for apache2? Which one should I use in which environment?
10
votes
5answers
16k views

Optimize apache for 10K+ wordpress views a day on 2GB RAM E6500 CPU

I have a dedicated server with apache/php on ubuntu serving my Wordpress blog with about 10K+ pageviews a day. I have W3TC plug in installed with APC. But every now and then server stop responding or ...
10
votes
2answers
15k views

Where is php.ini-development on Ubuntu LAMP?

On my development machine I run Ubuntu 10.04.1 LTS. Following the official documentation, I used the following command to install Apache, MySQL and PHP in one go: sudo tasksel install lamp-server ...
10
votes
2answers
26k views

configure: error: Cannot find php-config. Please use --with-php-config=PATH

I'm trying to install a program called phraseanet. I ran the ./configure command and run into this error: configure: error: Cannot find php-config. Please use --with-php-config=PATH I am using ...
9
votes
2answers
8k views

pecl install mongo - keeps compiling with wrong module API

Working with Ubuntu 12.04 here, nginx and php5-fpm I had mongo working well on php 5.3, then I added the ondrej/php5 ppa and updated to php5.4. It kept GD and CURL extensions, but not mongo. I re-...
9
votes
1answer
9k views

After compile install php 5.3.1, I can not find my php.ini file

my compile configuration: ./configure \ --with-fpm \ --with-libevent=shared,/usr/lib \ --with-mcrypt \ --with-zlib \ --with-curl \ --enable-mbstring \ --with-openssl \ --with-mysql \ --with-mysql-...
8
votes
6answers
40k views

Downgrade PHP 5.4 to 5.3 in Debian

I had to do a Debian dist-upgrade on my server... in the process, PHP got upgraded to 5.4. We use ioncube which only supports up to 5.3 atm, and I'm having some trouble finding how to downgrade to 5....
8
votes
3answers
13k views

Nginx + Php5-fpm not rendering php files

I've spent hours figuring out how to install Nginx + Ruby Enterprise Edition + PHP5-fpm and MYSQL, finally it is all installed and all seems to have started fine. But for some reason php files are ...
8
votes
1answer
17k views

Setting php values in php-fpm confs instead of php.ini

I'd like to set values in php-fpm conf files what are normally set in php.ini. I'm using nginx. I've created the following setting, but I'm not sure if this would work. php_value[memory_limit] = 96M ...
7
votes
1answer
443 views

How is this even possible? PHP memory error — allowed memory size / bytes exhausted

Fatal error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 1540673 bytes) in /home/appdev/glicious/Nutrition.php on line 41 If you haven't noticed, 134217728 is two orders of ...
7
votes
3answers
17k views

PHP installation on IIS: ISAPI or CGI?

I'm running IIS6 on Windows Server 2k3, and currently have PHP installed as a ISAPI module. We're about to upgrade our environment to PHP 5.3.0, and this made me wonder whether I should stick with the ...
7
votes
4answers
19k views

The requested PHP extension ext-mcrypt * is missing from your system [closed]

I have updated my php to version 5.4.13 etc and well in the terminal my version of php states this PHP 5.4.12 (cli) (built: Mar 16 2013 21:46:23) But running a composer install io get the ...
7
votes
3answers
6k views

Running phpmyadmin and suphp

I have a Debian Lenny web server. It is running apache2 with libapache2-mod-suphp. Unfortunately, suphp makes impossible to use phpmyadmin, as phpmyadmin is installed in /usr/share/phpmyadmin and ...
7
votes
2answers
4k views

Error When Installing PHP5 on IIS6

I am trying to install PHP on my Windows Server 2003 machine that is using IIS6. I followed this guide for installing it, including using the binaries of fastCGI. I think I did everything correctly, ...
7
votes
1answer
7k views

PHP5-FPM does not create unix socket directory within /var/run

I've set up my php5-fpm to bind to a unix domain socket within /var/run/php5-fpm. /etc/php5/fpm/pool.d/www.conf listen = /var/run/php5-fpm/$pool.sock The problem is that it will not automatically ...
6
votes
2answers
10k views

Error installing APC in apache2 VPS with php-5.5.1

When I install APC: pecl install apc I'm getting this error: Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. ...
6
votes
1answer
16k views

error: Cannot find OpenSSL's <evp.h> centos 6.3 (install php) [closed]

I have a problem during the intallation of php 5.3.27. When I launch the. / Configure I get this error and does not complete the installation. Configuring extensions checking size of long... (cached) ...
6
votes
1answer
5k views

Disable DNS Caching PHP

I need to get the latest A records of a DNS in a script. The script is doing some monitoring operations. The Default TTL of DNS record is 5 minutes, but the monitoring script is running every minute. ...
6
votes
1answer
5k views

Can't seem to set AcceptPathInfo in Apache

I'm trying to migrate an ExpressionEngine site onto a new server and seem to have run into a roadblock. For the desired functionality, EE requires the AcceptPathInfo directive to be turned on, and for ...
6
votes
4answers
824 views

Apache Never runs after configuring eAccelerator and FastCGI

I recently configured accelerator and fastcgi with apache using: http://secure-ubuntu-server.blogspot.com/2009/07/howto-performance-tuning-of-lamp-and.html Now my Apache never starts. Logs shows: ...
5
votes
3answers
54k views

How do I enable the IMAP functions in PHP?

I have a LAMP box running Ubuntu, Apache 2 and PHP5 with Slicehost. I'm a bit new to all this sysadmin stuff (I'm primarily a web developer). I need to use the IMAP functions in PHP, but they don't ...
5
votes
7answers
16k views

What causes PHP pages to consistently download instead of running normally

I'm running a Ubuntu Server on a VM, to test out different web forum solutions. I have set up a ~/public_html/ to be accessible with the apache2 web server, and that works fine. However when I go to ...
5
votes
1answer
86k views

How to install php-xml and php-mbstring on PHP 5.4.9-4?

I have added the PHP5 to UBUNTU 12.04 sudo add-apt-repository ppa:ondrej/php5 -y and installed the PHP5 php5 php5-common php5-mysql php5-xmlrpc php5-cgi php5-curl php5-gd php5-cli php5-fpm php-apc ...
5
votes
3answers
23k views

How to Upgrade to PHP 5.5 on Windows Server 2008

What is the proper way to upgrade from PHP Version 5.4.32 to PHP Version 5.5.22 on Windows? All that I can find is how to to install. PHP is already running on Windows Server 2008 R2 64 bit alongside ...
5
votes
2answers
24k views

Confirm that mysqli extension is not installed

Recently I discovered that mysqli extension is not installed in my server Centos version 2.6. I confirm it because I change the driver of db connection from mysqli to mysql and now works fine. So, is ...
5
votes
1answer
37k views

Correct PHP5 DLL for Apache 2.2?

I have installed Apache 2.2.14 (Win32) on a Windows XP machine and am trying to add the latest PHP module. I downloaded the ZIP file from here labeled "VC9 x86 Non Thread Safe" and extracted to my ...
5
votes
1answer
7k views

php-fpm: unrecognized service

I can't seem to restart my php fpm on my Ubuntu server I did ps aux | grep php-fpm I got root 1543 0.0 0.7 444672 7552 ? Ss Nov10 2:14 php-fpm: master process (/etc/php/5.6/...
5
votes
5answers
19k views

Install php-mssql in CentOS 6.2 [closed]

I have a server running CentOS 6.2 with Plesk 10.4. When I SSH in, and try and install ms-sql extension it says "No package php-mssql available." I can't seem to find much on Google for this, and I ...
5
votes
6answers
3k views

smallest possible linux installation with apache

I want to setup a linux vm with apache and php and mysql support, which version of linux should I pick up. I dont have a good bandwidth, preferably a smaller ISO of the installer is also appreciated.
5
votes
3answers
11k views

Why are DNS lookups not respecting /etc/nsswitch.conf & /etc/host.conf?

I have an issue where hostnames are being looked up from DNS even though they are present in /etc/hosts. I have the following configured: /etc/host.conf: order hosts,bind /etc/nsswitch.conf: ...
5
votes
3answers
9k views

Reconfiguring PHP 5.6 to run on MacOS 10.13 High Sierra

I need to get PHP 5.6 running on a Mac that had to be updated to 10.13. So I reinstalled 5.6, verified its location, and added it to httpd.conf: LoadModule php5_module libexec/apache2/libphp5.so ......
5
votes
2answers
50k views

Apache consuming too much CPU and memory

I am having some troubles with CPU loading an memory with Apache Web Server. We are running a Ubuntu Server 12.04 LTS on a Virtual Machine. Our server have the following specs: 8GB RAM; 4 vCPUs (...
5
votes
1answer
5k views

Session variables not persistent in PHP5/Apache2/Ubuntu12

I have a website that uses session variables (in PHP) to know if the visitor is entering the website or not. If he's new, then I redirect him to the detected language. But if he's not new, you let him ...
5
votes
3answers
22k views

Howto install php 5.2.17 on centos 6 x86_64

Does anyone know how to install php 5.2.17 on a 64bit centos 6 install? I've got a old legacy system that requires php 5.2.17, but centos 6 only supports php 5.3. I've installed repo's such as ...
5
votes
4answers
7k views

Ubuntu install php5-ffmpeg

When I try to install php5-ffmpeg: apt-get install php5-ffmpeg I get an error: The following packages have unmet dependencies: php5-ffmpeg : Depends: phpapi-20090626+lfs As I understand my php5-...
5
votes
1answer
5k views

Apache 2.4 with PHP-FPM .htaccess redirection

I have Apache 2.4 set up with PHP-FPM on a server. To pass from Apache to PHP-FPM I use the following: ProxyPassMatch ^/(.*\.php)$ fcgi://127.0.0.1:9001/hosting_files/site.com/admin_secure/$1 "...
5
votes
1answer
340 views

Apapche + php-fpm + mysql too slow on powerful server

I'm trying to test load a LAMP application that my team developed and deployed on AWS ubuntu 14.04 using jmeter. We are using AWS CDN to serve static files, mysql and apache are on the same host. ...
5
votes
1answer
1k views

How to configure PHPStorm to debug on IIS

I installed PHP 5 on IIS on a Windows 7 64 bit machine using the Web Platform Installer. I am using PHPStorm as my PHP IDE but cant find any documentation on how to get debugging to work. PHPStorm ...
4
votes
2answers
6k views

PHP5-FPM and 'ondemand'

I've set up a server with Nginx and PHP5-FPM, and things are running fine. However, as I add more and more sites to the server I see that the memory usage steadily increases, and I've come to the ...
4
votes
3answers
6k views

Enabling phar on Dreamhost shared hosting?

So, i'm trying to use Silex on my dreamhost account and I'm getting an error Fatal error: Class 'Phar' not found in blah blah blah... when I try to include the Silex.phar file. When I look at ...
4
votes
3answers
11k views

How to configure Apache on Amazon Elastic Beanstalk

My PHP5.3 application is currently running on a Windows 2003 server running XAMPP 1.7.7 I've decided it will be better if I can get it moved onto the cloud, and Amazon Elastic Beanstalk looks like the ...
4
votes
5answers
11k views

Upgrade Centos 5 tot PHP 5.2 or 5.3 [recommended way?]

We are using Zend Framework and in version 2, php 5.2 will be the minimum requirement. We love CentOS and we'd like to keep using it, but PHP 5.1 just won't do anymore when developing web applications ...
4
votes
2answers
24k views

How can i enable byte range request?

How can i enable byte range request? While pod casting on itunes it gives an error message "There is a problem with your feed. Your episodes are hosted on a server which doesn’t support byte-range ...